@import "../../../../styles/variables";

$bg-color-main: $white;
$bg-color-side: $grey-color;

.NodeProps {
  display: flex;
  background-color: $white;
  align-items: stretch;
  justify-content: center;
  //box-shadow: $box-shadow-2;

  &-divider {
    width: 0.25rem;
    min-width: 0.25rem;
  }

  &-body {
    flex: 4;
    padding: 1rem;
    border: 1px solid lighten($grey-color, 20%);
    border-radius: 2px;
    min-width: 40rem;
  }

  &-edit {
    margin-bottom: 1rem;
  }

  &-add,
  &-list {
    margin-bottom: 1rem;
  }
  &-list {
    color: $grey-color;
  }
  &-nodesize {
    color: $dark-color-1;
  }
}

.NodePropViewItem {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  position: relative;
  //room for delete btn
  padding-right: 3rem;
  .NodeViewItem {
    margin: 0.5rem;
    min-width: 3rem;
    div {
      padding: 1rem 0rem;
    }
  }
}

.NodeProp-nav {
  position: absolute;
  right: 0;
  margin-top: 0.2rem;
}
